Results 1 to 6 of 6

Thread: How to install wxgtk 32bit library on opensuse 64bit

  1. #1

    Default How to install wxgtk 32bit library on opensuse 64bit

    I want to run pcsx2 emulator on opensuse 64bit,however,pcsx2 only has 32bit version and it requires wxgtk,the problem is that I can't find 32bit wxgtk library for opensuse 64bit in yast2. and software.opensuse.org.I tried to download the 32bit version of wxgtk and extract the libraries to /usr/lib/,and made some soft links to ensure that pcsx2 can find these libraries.however,it still ends up with such errors:
    version WXU_2.8 not defined in file libwx_baseu-2.8.so.0 with link time reference
    Can anyone find a solution?

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,215
    Blog Entries
    15

    Default Re: How to install wxgtk 32bit library on opensuse 64bit

    On Sat 04 May 2013 03:46:03 AM CDT, mazdlc wrote:


    I want to run pcsx2 emulator on opensuse 64bit,however,pcsx2 only has
    32bit version and it requires wxgtk,the problem is that I can't find
    32bit wxgtk library for opensuse 64bit in yast2. and
    software.opensuse.org.I tried to download the 32bit version of wxgtk and
    extract the libraries to /usr/lib/,and made some soft links to ensure
    that pcsx2 can find these libraries.however,it still ends up with such
    errors:
    version WXU_2.8 not defined in file libwx_baseu-2.8.so.0 with link time
    reference
    Can anyone find a solution?


    Hi
    There is a 64bit version, just not building.....
    https://build.opensuse.org/package/s...&package=pcsx2
    Contact the Emulator maintainer (Ulih) and see if the error can be
    fixed...
    https://build.opensuse.org/package/u...ject=Emulators

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 1 day 14:39, 3 users, load average: 0.16, 0.18, 0.11
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Arrandale


  3. #3

    Default Re: How to install wxgtk 32bit library on opensuse 64bit

    Quote Originally Posted by malcolmlewis View Post
    Hi
    There is a 64bit version, just not building.....
    https://build.opensuse.org/package/s...&package=pcsx2
    Contact the Emulator maintainer (Ulih) and see if the error can be
    fixed...
    https://build.opensuse.org/package/u...ject=Emulators

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 1 day 14:39, 3 users, load average: 0.16, 0.18, 0.11
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Arrandale
    Thanks!However ,the 64bit version of pcsx2 does not have a video plugin,so i installed the 32bit version instead,this time pcsx2 works(seems that it is built static so wxgtk is not needed)

  4. #4

    Default Re: How to install wxgtk 32bit library on opensuse 64bit

    Quote Originally Posted by malcolmlewis View Post
    Hi
    There is a 64bit version, just not building.....
    https://build.opensuse.org/package/s...&package=pcsx2
    Contact the Emulator maintainer (Ulih) and see if the error can be
    fixed...
    https://build.opensuse.org/package/u...ject=Emulators

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.1-desktop
    up 1 day 14:39, 3 users, load average: 0.16, 0.18, 0.11
    CPU Intel® i5 CPU M520@2.40GHz | GPU Intel® Arrandale
    This Version is out of date however.Anyway,could you told me what should be done when such error like "relocation error: xxxxx: symbol _ZTV10wxListBase, version WXU_2.8 not defined in file libwx_baseu-2.8.so.0 with link time reference" appears?I have also got several 32bit executables written with wxwidgets that cannot run under opensuse x86-64,generally the similar output.Unlike other 32bit libraries,wxwidgets doesn't work if i simply copy the libraries to the /usr/lib path,which i cannot solve by myself.

  5. #5

    Default Re: How to install wxgtk 32bit library on opensuse 64bit

    Quote Originally Posted by mazdlc View Post
    I want to run pcsx2 emulator on opensuse 64bit,however,pcsx2 only has 32bit version and it requires wxgtk,the problem is that I can't find 32bit wxgtk library for opensuse 64bit in yast2. and software.opensuse.org.I tried to download the 32bit version of wxgtk and extract the libraries to /usr/lib/,and made some soft links to ensure that pcsx2 can find these libraries.however,it still ends up with such errors:
    version WXU_2.8 not defined in file libwx_baseu-2.8.so.0 with link time reference
    Can anyone find a solution?
    Problem Solved!There are several 32bit libs missing for wxwidgets,and i get a copy of these libraries from ubuntu.Here is all 32bit wxgtk libraries needed by pcsx2:


    libwx_baseu-2.8.so libwx_gtk2u_aui-2.8.so libwx_gtk2u_gizmos_xrc-2.8.so libwx_gtk2u_ogl-2.8.so libwx_gtk2u_stc-2.8.so libwx_baseu-2.8.so.0 libwx_gtk2u_aui-2.8.so.0 libwx_gtk2u_gizmos_xrc-2.8.so.0 libwx_gtk2u_ogl-2.8.so.0 libwx_gtk2u_stc-2.8.so.0
    libwx_baseu-2.8.so.0.8.0 libwx_gtk2u_aui-2.8.so.0.8.0 libwx_gtk2u_gizmos_xrc-2.8.so.0.8.0 libwx_gtk2u_ogl-2.8.so.0.8.0 libwx_gtk2u_stc-2.8.so.0.8.0
    libwx_baseu_net-2.8.so libwx_gtk2u_core-2.8.so libwx_gtk2u_gl-2.8.so libwx_gtk2u_plot-2.8.so libwx_gtk2u_svg-2.8.so libwx_baseu_net-2.8.so.0 libwx_gtk2u_core-2.8.so.0 libwx_gtk2u_gl-2.8.so.0 libwx_gtk2u_plot-2.8.so.0 libwx_gtk2u_svg-2.8.so.0
    libwx_baseu_net-2.8.so.0.8.0 libwx_gtk2u_core-2.8.so.0.8.0 libwx_gtk2u_gl-2.8.so.0.8.0 libwx_gtk2u_plot-2.8.so.0.8.0 libwx_gtk2u_svg-2.8.so.0.8.0 libwx_baseu_xml-2.8.so libwx_gtk2u_fl-2.8.so libwx_gtk2u_html-2.8.so libwx_gtk2u_qa-2.8.so libwx_gtk2u_xrc-2.8.so
    libwx_baseu_xml-2.8.so.0 libwx_gtk2u_fl-2.8.so.0 libwx_gtk2u_html-2.8.so.0 libwx_gtk2u_qa-2.8.so.0 libwx_gtk2u_xrc-2.8.so.0
    libwx_baseu_xml-2.8.so.0.8.0 libwx_gtk2u_fl-2.8.so.0.8.0 libwx_gtk2u_html-2.8.so.0.8.0 libwx_gtk2u_qa-2.8.so.0.8.0 libwx_gtk2u_xrc-2.8.so.0.8.0
    libwx_gtk2u_adv-2.8.so libwx_gtk2u_gizmos-2.8.so libwx_gtk2u_media-2.8.so libwx_gtk2u_richtext-2.8.so libwx_gtk2u_adv-2.8.so.0 libwx_gtk2u_gizmos-2.8.so.0 libwx_gtk2u_media-2.8.so.0 libwx_gtk2u_richtext-2.8.so.0 libwx_gtk2u_adv-2.8.so.0.8.0 libwx_gtk2u_gizmos-2.8.so.0.8.0 libwx_gtk2u_media-2.8.so.0.8.0 libwx_gtk2u_richtext-2.8.so.0.8.0

  6. #6

    Default Re: How to install wxgtk 32bit library on opensuse 64bit

    Hello!
    I am a novice, and I have an irresistible itch to run the latest pcsx2 on an OpenSUSE 12.3 x64. I had tried the same initial steps before finding this thread, with the error:
    ./pcsx2: relocation error: ./pcsx2: symbol _ZTV20wxwxMenuItemListNode, version WXU_2.8 not defined in file libwx_gtk2u_core-2.8.so.0 with link time reference

    I'd appreciate some further help since I have little experience. How to get pcsx2 running? Do I proceed hunting 32 bit libraries from another distro? How safe is it? And how would I go about it? Do I search for i386 .deb packages, extract and paste their contents in /usr/lib in a similar fashion? So many questions...
    A message from pcsx2 was urging me to chroot to a 32-bit linux... the notion terrifies me.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •